# $Revision: 1.22 $, $Date: 2004/05/06 17:56:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Container
Summary:	Class::Container - glues object frameworks together transparently
Summary(pl):	Class::Container - przezroczyste sklejanie szkieletw obiektw
Name:		perl-Class-Container
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	57bc137f6e167fab10d7173088157d5e
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Params-Validate >= 0.18
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Scalar::Util)'

%description
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for "HTML::Mason", in
which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer,
and several other objects must create each other transparently, passing
the appropriate parameters to the right class, possibly substituting
their own subclass for any of these objects.

%description -l pl
Ta klasa uatwia tworzenie szkieletu dla rnych, wsppracujcych ze
sob, klas. Pierwotnie bya zaprojektowana i stworzona dla
HTML::Mason, w ktrym Compiler, Lexer, Interpreter, Resolver,
Component, Buffer i kilka innych obiektw musz tworzy inne w sposb
przezroczysty, przekazujc odpowiednie parametry do waciwej klasy,
by moe take podstawiajc swoj wasn podklas za dowolny z tych
obiektw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# We do not sleep.
%{__perl} -ni -e 'print unless /sleep/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Container.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Container.spec,v $
Revision 1.22  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.20  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.19  2004/03/06 22:10:55  adamg
- updated to 0.11

Revision 1.18  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.17  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.13  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/13 00:01:33  ankry
- merge from RA-branch: updated to 0.10

Revision 1.11  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/24 20:37:28  radek
- always...

Revision 1.9  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.8  2003/02/19 15:01:59  ankry
- autoupdated to 0.09

Revision 1.7  2003/02/18 15:27:59  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/08/31 15:58:02  qboosh
- pl summary

Revision 1.5  2002/08/31 12:23:26  radek
- version 0.08, conditional tests, informative summary
STBR

Revision 1.4  2002/07/24 16:47:23  radek
- version 0.07

Revision 1.3  2002/07/15 12:09:21  qboosh
- pl description, cosmetics

Revision 1.2  2002/07/15 11:31:24  ankry
- fixed header

Revision 1.1  2002/07/15 07:41:26  depesz
- spec by Radosaw Zieliski
